* {
  box-sizing: border-box;
}

:root {
  --primary: #218ce7;
  --primary100: #000000;
  --secondary: #ff3b4b;
  --text: #233b4b;
  --surface-light: #f2f3f6;
  --success: #7be085;
  --success200: #2bb539;
  --success-text: #1b7324;
  --error: #ffa8a8;
  --error200: #c00;
  --error-text: #ad1f1f;
  --warning: #ffcb66;
  --warning200: #ea9a00;
  --warning-text: #ad7200;
  --gradient-tribe: linear-gradient(180deg,
      #c0c49f 0%,
      #a29c7b 25%,
      #8a908b 47.79%,
      #607a81 73.96%,
      #4a6871 100%);
  --transition: 100ms ease-out;
  --header-height: 92px;

  --transition-btn: 100ms ease-out;
}

html {
  -webkit-text-size-adjust: 100%;
  -ms-text-size-adjust: 100%;
  font-size: 62.5%;
}

@font-face {
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 400;
  src: url(../fonts/Roboto-Regular.ttf) format('truetype');
}

@font-face {
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 500;
  src: url(../fonts/Roboto-Regular.ttf) format('truetype');
}

@font-face {
  font-family: 'Albert';
  font-style: bold;
  font-weight: 600;
  src: url(../fonts/Roboto-Regular.ttf) format('truetype');
}





[type='button'],
[type='reset'],
[type='submit'],
button {
  -webkit-appearance: button;
  appearance: button;
  background-color: transparent;
  color: white;
  background-image: none;
  line-height: 1.5;
  transition: border-radius var(--transition);
}

input[type='email'],
input[type='password'],
input[type='search'],
input[type='text'],
textarea {
  -webkit-appearance: none;
  appearance: none;
  box-shadow: none;
  cursor: auto;
  background-color: #fff6;
  border: none;
  border-radius: 40px;
  padding: 12px 24px;
}

.h2,
.markdown h1 {
  font-size: 8rem;
  line-height: 1.15;
}

.h3 {
  font-size: 3rem;
  line-height: 1.25;
}

.h4 {
  font-size: 2.4rem;
  line-height: 1.25;
}

.h5 {
  font-size: 1.4rem;
  line-height: 1.25;
}

.h1,
.h2,
.h3,
.h4,
.title,
.subtitle,
.body {
  margin: 0;
  font-weight: 500;
  user-select: none;
}

.title {
  font-size: 8rem;
  line-height: 1.15;
}

.subtitle {
  font-size: 4rem;
  line-height: 1.25;
}

.body {
  font-size: 20px;
  line-height: 1.5;
  overscroll-behavior: contain;
}

.label {
  font-size: 1.8rem;
  line-height: 1.5;
}

.link {
  display: inline-flex;
  align-items: center;
  font-size: 2rem;
  line-height: 1.15;
  font-family: 'Albert', Sans-Serif;
  text-transform: uppercase;
}

.link--lg {
  padding: 17px 0;
}

.link svg:first-child {
  margin-right: 8px;
}

.link svg:last-child {
  margin-left: 8px;
}

.link:hover {
  text-decoration: underline;
}

.icon {
  flex-shrink: 0;
  width: 24px;
  height: 24px;
}

.icon-small {
  flex-shrink: 0;
  width: 20px;
  height: 20px;
}

.alert {
  display: flex;
  align-items: flex-start;
  gap: 8px;
  overflow: hidden;
  font-size: 1.8rem;
}

.cover-img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

html,
body {
  margin: 0;
  padding: 0;
  background: var(--primary100);
  /* background-image: url('../images/background.jpg'); */
  user-select: none;
  overflow: hidden;
}

.loader {
  display: block;
  width: 100px;
  height: 100px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) rotate(0);
  background-size: 100px;
  background-image: url(../favicon.svg);
  -webkit-animation: spin 4s linear infinite;
  -moz-animation: spin 4s linear infinite;
  animation: spin 4s linear infinite;
}

.reconnect-loader {
  display: block;
  width: 20px;
  height: 20px;
  position: relative;
  top: 10px;
  left: 10px;
  transform: translate(-50%, -50%) rotate(0);
  background-size: 20px;
  background-image: url(../favicon.svg);
  -webkit-animation: spin 4s linear infinite;
  -moz-animation: spin 4s linear infinite;
  animation: spin 4s linear infinite;
  float: left;
}

@-moz-keyframes spin {
  100% {
    -moz-transform: translate(-50%, -50%) rotate(360deg);
  }
}

@-webkit-keyframes spin {
  100% {
    -webkit-transform: translate(-50%, -50%) rotate(360deg);
  }
}

@keyframes spin {
  100% {
    -webkit-transform: translate(-50%, -50%) rotate(360deg);
    transform: translate(-50%, -50%) rotate(360deg);
  }
}


canvas {
  display: block;
  position: fixed;
  user-select: none;

  /* Promotes the canvas to its own GPU layer */
  will-change: transform;

  /* Tells the browser the element is self-contained.
    Helps optimize layout and paint operations.
  */
  contain: strict;

}

.fixed {
  position: fixed;
}

.entityDomWrapper {
  position: absolute;
  overflow: hidden;
  will-change: transform;
}

.video-object {
  width: 100%;
  height: 100%;
}

.flip-horizontally {
  transform: rotateY(180deg);
  -webkit-transform: rotateY(180deg);
  /* Safari and Chrome */
  -moz-transform: rotateY(180deg);
  /* Firefox */
}

.foreground {
  background: blue;
  height: 200px;
  width: 200px;
  position: fixed;
}

:fullscreen,
::backdrop {
  background-color: rgba(255, 255, 255, 0);
}

#video-container {
  position: fixed;
  overflow: hidden;
  display: block;
  width: 100px;
  height: 100px;
  /* Promotes the canvas to its own GPU layer */
  will-change: transform;

  /* Tells the browser the element is self-contained.
    Helps optimize layout and paint operations.
  */
  contain: strict;
}

#videocall-container {
  position: fixed;
}

svg {
  display: block;
}

.hidden {
  display: none;
}

/*
 *     Modal stuff
 */

.modal {
  display: none;
  z-index: 100;
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  font-family: 'Albert', Sans-Serif;
  font-size: 2rem;
  line-height: calc(1ex / 0.32);
  user-select: text;
}

.modal__wrapper {
  background-color: rgba(0, 0, 0, 0.1);
  bottom: 0;
  left: 0;
  overflow-y: auto;
  position: fixed;
  right: 0;
  top: 0;
  z-index: 100;
  backdrop-filter: blur(20px);
  -webkit-backdrop-filter: blur(20px);
}

.modal__overflow {
  align-items: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
  min-height: 100%;
  padding: 120px 0;
  width: 100%;
}

.modal__container {
  position: relative;
  max-width: 680px;
  width: calc(100% - 32px);
  padding: 60px;
  color: white;
  background: rgba(255, 255, 255, 0.16);
  box-shadow: 0px 4px 80px 0px rgba(0, 0, 0, 0.25);
  backdrop-filter: blur(80px);
  cursor: auto;
}

.modal__close {
  position: absolute;
  top: 8px;
  right: 8px;
  padding: 16px;
  border-radius: 50%;
  background: rgba(255, 255, 255, 0.2);
  backdrop-filter: blur(4px);
}

.modal__title {
  margin-bottom: 24px;
}

.modal__desc {
  margin: 0 0 24px;
}

.modal__footer {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  gap: 16px;
}

.modal__footer .btn {
  width: 228px;
}

a {
  color: inherit;
}

a,
button {
  cursor: pointer;
}

a,
button,
input,
select,
textarea {
  -webkit-tap-highlight-color: transparent;
  background-color: initial;
  border: none;
  font-size: 100%;
  margin: 0;
  padding: 0;
  vertical-align: initial;
  font-family: inherit;
}

.modal__top-line {
  align-items: center;
  border-bottom: 1px solid var(--primary50);
  display: flex;

  padding: 16px 0px;
}

.form-row {
  display: flex;
  flex-wrap: wrap;
  align-items: flex-start;
  gap: 24px;
}

.form-row .input-container {
  flex: 0 0 calc(50% - 12px);
}

.input-container {
  color: white;
}

.input-container:not(:last-of-type) {
  margin-bottom: 24px;
}

.input-header {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  -webkit-column-gap: 16px;
  column-gap: 16px;
  margin-bottom: 8px;
  margin-left: 23px;
}

.input-body,
.input-pick-selection {
  display: flex;
  gap: 8px;
}

.input-pick-selection {
  margin-bottom: 16px;
}

.input-wrapper {
  display: flex;
  position: relative;
  flex: 1 1 auto;
}

.input-label {
  display: block;
  margin-right: auto;
  font-size: 1.8rem;
  line-height: 1.15;
  font-weight: 100;

  cursor: pointer;
}

.tag-container {
  display: flex;
  flex-wrap: wrap;
  margin: -4px;
}

.tag {
  margin: 4px;
  padding: 8px;
  font-size: 2rem;
  line-height: 1.15;
  font-weight: 500;
  color: white;
  border-left: 2px solid #fff;
  background: rgba(255, 255, 255, 0.04);
  backdrop-filter: blur(4px);
}

.input-field {
  font-family: 'Roboto', sans-serif;
  font-size: 2.4rem;
  line-height: 1.15;
  padding: 17px 11px;
  width: 100%;
  color: white;
  border: 1px solid white;
}

.input-field:disabled {
  cursor: not-allowed;
  background-color: rgba(255, 255, 255, 0.08);
  border-color: transparent;
}

.input-field:-webkit-autofill,
.input-field:-webkit-autofill:hover,
.input-field:-webkit-autofill:focus {
  -webkit-text-fill-color: white;
  box-shadow: 0 0 0 1000px #fff6 inset;
  transition: background-color 5000s ease-in-out 0s;
}

.input-field--select {
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  text-indent: 1px;
  text-overflow: '';
}

.input-field--select::-ms-expand {
  display: none;
}

.input-field--select option {
  background: white;
  color: var(--text);
}

.input-icon {
  position: absolute;
  top: 50%;
  right: 12px;
  transform: translateY(-50%);
  color: white;
  user-select: none;
  pointer-events: none;
}

.input-btn {
  border: none;
  color: white;
  padding: 5px;
  position: absolute;
  right: 7px;
  top: 50%;
  -webkit-transform: translateY(-50%);
  transform: translateY(-50%);
}

.input-error {
  display: none;
  align-items: center;
  gap: 8px;
  margin-top: 7px;
  font-size: 1.8rem;
  line-height: 1.5;
}

.input-error.show {
  display: flex;
}

input:focus,
input:focus-visible,
textarea:focus,
textarea:focus-visible {
  outline: none;
}

.custom-scroll::-webkit-scrollbar {
  width: 14px;
}

.custom-scroll::-webkit-scrollbar-thumb {
  border-radius: 8px;
  border: 4px solid rgba(0, 0, 0, 0);
  -webkit-box-shadow: inset 0 0 0 14px rgba(255, 255, 255, 0.5);
}

textarea.input-field {
  resize: none;
  border-radius: 20px;
}

.checkbox {
  position: relative;
  padding: 3px 0 3px 48px;
}

.checkbox__field {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}

.checkbox__field:focus-visible+.checkbox__checkmark {
  outline: 2px solid black;
}

.checkbox__checkmark {
  position: absolute;
  top: 0;
  left: 0;
  width: 32px;
  height: 32px;
  border: 2px solid white;
  background-color: transparent;
  transition: var(--transition);
}

.checkbox__checkmark svg {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: calc(100% + 4px);
  height: calc(100% + 4px);
  color: transparent;
  transition: var(--transition);
}

.checkbox__field:checked+.checkbox__checkmark svg {
  color: white;
}

.modal__close-btn {
  background: #fff;
  padding: 12px;
}

.signup__btn {
  background-color: white;
  color: var(--primary);
  padding: 10px 30px;
}

.signup__btn:hover {
  cursor: pointer;
  background-color: white;
  border-radius: 24px;
  color: var(--primary);
  padding: 10px 30px;
}

.modal__close-btn svg {
  height: 20px;
  width: 20px;
  -webkit-transform: rotate(45deg);
  transform: rotate(45deg);
}

.alert__icon {
  flex-shrink: 0;
}

::placeholder {
  /* Chrome, Firefox, Opera, Safari 10.1+ */
  color: rgba(255, 255, 255, 0.5);
  opacity: 1;
  /* Firefox */
}

:-ms-input-placeholder {
  /* Internet Explorer 10-11 */
  color: rgba(255, 255, 255, 0.5);
}

::-ms-input-placeholder {
  /* Microsoft Edge */
  color: rgba(255, 255, 255, 0.5);
}

.sr-only {
  clip: rect(0 0 0 0);
  border: 0;
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  width: 1px;
}

.article {
  position: relative;
  width: 80%;
  /* height: 80%; */
  max-width: 800px;
  background-color: #ffffff;
  border-radius: 12px;
  box-shadow: 0px 0px 10px #0000004a;
  font-family: arial;
  font-size: 22px;
  padding: 64px;
  margin: auto;
  line-height: 1.5em;
}

.video-overlay {
  position: relative;
  height: 100vh;
  margin: auto;
  width: 70%;
}

.blur-object {
  width: 100%;
  height: 100%;
  transition: backdrop-filter var(--transition);
  transition: background-color var(--transition);
  transition: display var(--transition);
}

.blur-on {
  transition: backdrop-filter var(--transition);

  backdrop-filter: blur(10px);
  -webkit-backdrop-filter: blur(10px);
}

.blur-layer {
  position: fixed;
  width: 100%;
  height: 100%;
  transition: backdrop-filter var(--transition);
  transition: background-color var(--transition);
  transition: display var(--transition);
}

.text-editor {
  display: block;
  width: 200px;
  height: 100px;
  position: absolute;

  font-family: 'Roboto', sans-serif;
  text-align: left;
  padding-top: 0px;
  padding-left: 0px;
  padding-right: 0px;
  padding-bottom: 0px;
  overflow: hidden;
  color: rgb(255, 255, 255);
  border-radius: 0px;

  /* outline: 1px solid blue; */
  border: none;
  /* transform-origin: top left; */

  -webkit-box-shadow: none;
  -moz-box-shadow: none;
  box-shadow: none;

  resize: none;
  /*remove the resize handle on the bottom right*/
}

.selection-dark::selection {
  color: rgb(255, 255, 255);
  background: rgb(23, 18, 99);
}

.selection-light::selection {
  color: rgb(0, 0, 0);
  background: rgb(161, 168, 204);
}

.text-editor:focus,
.text-editor:focus-visible,
.text-editor:focus,
.text-editor:focus-visible {
  outline: none;
  background: none;
}

.background-layer {
  background-blend-mode: overlay;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  position: fixed;
  width: 100%;
  height: 100%;
  -webkit-animation: background-fade-in 0.4s linear;
  -moz-animation: background-fade-in 0.4s linear;
  animation: background-fade-in 0.4s linear;
}

.background-video-layer {
  background-blend-mode: overlay;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  position: fixed;
  width: 100%;
  height: 100%;
  -webkit-animation: background-fade-in 0.4s linear;
  -moz-animation: background-fade-in 0.4s linear;
  animation: background-fade-in 0.4s linear;
}

@keyframes background-fade-in {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

.background-vignette {
  /* background-image: url(../images/vignette.png); */
  /* background-color: #3232666b; */
  /* background-blend-mode: overlay; */
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  position: fixed;
  width: 100%;
  height: 100%;
}

.background {
  background: url('../images/grain.png') 50% / cover, url('../images/dot-layer.png') 50% / 100%,
    linear-gradient(180deg,
      #4a676f -6.05%,
      #787457 21.33%,
      #b07d59 50.89%,
      #b06a44 83.52%,
      #7a313b 110.79%);
  background-blend-mode: soft-light, normal;
}

.connection-notification {
  position: fixed;
  width: 320px;
  background-color: #ffd95f;
  box-shadow: 0px 5px 8px 0px #00000021;
  border-radius: 0px 0px 20px 20px;
  padding: 20px;
  /* height: 90px; */
  text-align: center;
  top: 0px;
  left: 50%;
  transform: translate(-50%, 0);
  font-size: 18px;
  font-family: 'Albert', sans-serif;
}

.cursor_circle {
  pointer-events: none;
  position: fixed;
  /* border-radius: 20px; */
  /* box-shadow: 0 0 4px #676767b5; */
}

.page-header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  display: flex;
  align-items: center;
  padding: 24px;
  background: rgba(255, 255, 255, 0.02);
  box-shadow: 0px 4px 80px 0px rgba(0, 0, 0, 0.25);
  backdrop-filter: blur(4px);
  -webkit-backdrop-filter: blur(4px);
  z-index: 100;
}

/* Buttons */

.btn {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  padding: 17px 23px;
  font-size: 2rem;
  line-height: 1.15;
  font-family: 'Albert';
  /* text-transform: uppercase; */
  text-decoration: none;
  background: transparent;
  border: 1px solid white;
  transition: var(--transition);
}

.btn--secondary {
  padding: 18px;
  border-radius: 10px;
}

.btn--info {
  padding: 12px;
  border: none;

}

.btn svg:first-child {
  margin-right: 8px;
}

.btn svg:last-child {
  margin-left: 8px;
}

.btn.btn--secondary svg {
  margin: 0;
}

.btn:focus {
  /* border-color: transparent; */
  outline: none;
  background: rgba(255, 255, 255, 0.1);
  box-shadow: 4px 4px 4px 0px rgba(0, 0, 0, 0.06);
}

.btn:hover {
  border-color: transparent;
  background: rgba(255, 255, 255, 0.2);
  box-shadow: 4px 4px 4px 0px rgba(0, 0, 0, 0.12);
}

.btn:disabled {
  filter: brightness(0.5);
  cursor: not-allowed;
}


.btn--red {
  background-color: var(--secondary);
  color: white;
}



.pill {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  gap: 8px;
  padding: 17px 23px;
  font-size: 2.4rem;
  line-height: 1.15;
  font-family: 'Albert';
  text-decoration: none;
  transition: var(--transition);
  background: transparent;
  border: 1px solid white;
  border-radius: 64px;
  box-shadow: 4px 4px 4px 0px rgba(0, 0, 0, 0);
}

.pill--popup {
  float: right;
  position: relative;
  top: -50px;
  right: -50px;
  width: 10px;
  height: 10px;
  border: none;
  outline: none;
}

.pill--round {
  padding: 21px;
}

.pill svg {
  flex-shrink: 0;
  width: 2rem;
  height: 2rem;
}

.pill.pill--active,
.pill:hover {
  border-color: transparent;
  background: rgba(255, 255, 255, 0.1);
  box-shadow: 4px 4px 4px 0px rgba(0, 0, 0, 0.12);
}

.icon-btn {
  padding: 16px;
  transition: var(--transition);
}

.icon-btn:hover {
  background: rgba(255, 255, 255, 0.1);
  box-shadow: 4px 4px 4px 0px rgba(0, 0, 0, 0.12);
}

.icon-btn svg {
  width: 32px;
  height: 32px;
}

.js-edit {
  position: relative;
  background: white;
  border-radius: 50%;
  padding: 10px;
}

.js-edit:hover {
  background: var(--surface-light);
}

.js-edit svg path {
  stroke: var(--text);
}

.js-edit::before {
  content: attr(data-tooltip);
  position: absolute;
  bottom: 100%;
  left: 50%;
  transform: translateX(-50%);
  margin-bottom: 6px;
  background-color: rgb(35, 60, 75);
  color: white;
  padding: 9px 12px;
  border-radius: 20px;
  font-size: 1.4rem;
  white-space: nowrap;
  visibility: hidden;
  pointer-events: none;
}

.js-edit:hover::before {
  visibility: visible;
}

.back-button {
  position: absolute;
  top: 24px;
  left: 24px;
}

.input-pick-btn {
  padding: 18px;
  border-radius: 8px;
  width: 56px;
  height: 56px;
}

.pick-input__container {
  position: relative;
  display: flex;
  align-items: flex-start;
  flex-wrap: wrap;
  gap: 8px;
  padding: 8px;
  border: 2px solid white;
}

.pick-input__input-container {
  position: relative;
  flex: 1 0 auto;
}

.pick-input__input {
  font-size: 1.8rem;
  line-height: 1.5;
  width: 100%;
  padding: 7px 40px 7px 4px;
  border-radius: 8px;
  color: white;
}

.pick-input__icon {
  position: absolute;
  right: 4px;
  pointer-events: none;
  user-select: none;
  top: 50%;
  transform: translateY(-50%);
}

.pick-input__options,
.questions-field__options {
  position: absolute;
  display: flex;
  flex-direction: column;
  top: calc(100% + 8px);
  left: 0;
  width: 100%;
  padding: 0;
  margin: 0;
  font-size: 1.8rem;
  font-weight: 600;
  line-height: 1.5;
  border-radius: 8px;
  background: rgba(255, 255, 255, 0.18);
  box-shadow: 0px 4px 20px 0px rgba(0, 0, 0, 0.25);
  backdrop-filter: blur(8px);
  -webkit-backdrop-filter: blur(8px);
  z-index: 1;
  max-height: 200px;
  overflow: auto;
  visibility: hidden;
  opacity: 0;
  transform: translateY(10px);
  transition: var(--transition);
}

.questions-field__options {
  max-height: 320px;
}

.pick-input__options.open,
.questions-field__options.open {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
}

.pick-input__option,
.questions-field__option {
  padding: 16px;
  text-align: left;
}

.pick-input__option:not(:last-of-type),
.questions-field__option:not(:last-of-type) {
  border-bottom: 1px solid rgba(35, 60, 75, 0.25);
}

.pick-input__selection {
  display: flex;
  align-items: center;
  gap: 4px;
  padding: 8px;
  font-size: 1.8rem;
  line-height: 1.5;
  background: #f2f3f5;
  color: var(--text);
}

.questions-field__container {
  margin-top: 24px;
}

.questions-field__selection:not(:last-of-type) {
  margin-bottom: 16px;
}

.questions-field__question {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 8px;
  padding: 12px;
  background: rgba(255, 255, 255, 0.08);
  font-size: 1.8rem;
  font-weight: 500;
  line-height: 1.5;
}

.questions-field__remove {
  padding: 4px;
}

.questions-field__answer {
  padding: 12px;
  background: rgba(35, 60, 75, 0.25);
  margin: 0 8px;
}

/* Login */

.login {
  position: relative;

  width: 640px;
  max-width: calc(100% - 32px);
  margin: auto;
  padding: 40px;
  font-family: 'Albert', Sans-Serif;
  line-height: 1.5;
  color: white;
  z-index: 1;
}

.login__title {
  margin: 0 0 40px;
  text-align: center;
}

.login__btn {
  width: 100%;
}

.login__alert {
  margin-top: 24px;
}

.login__forgot {
  text-decoration: underline;
}

/* Password reset */

.reset-password {
  display: none;
  width: 640px;
  max-width: calc(100% - 32px);
  margin: auto;
  padding: 40px;
  font-family: 'Albert', Sans-Serif;
  font-size: 1.8rem;
  line-height: 1.5;
  color: white;
  z-index: 1;
}

.reset-password__title {
  margin: 0 0 16px;
}

.reset-password__desc {
  margin: 0 0 40px;
}

.reset-password__btn {
  width: 100%;
  margin-top: 40px;
}

.reset-password__alert {
  margin-top: 24px;
}

.reset-password__message {
  margin-top: 24px;
}

.reset-password__info {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 8px;
  padding: 24px;
  background-color: rgba(255, 255, 255, 0.08);
}

.reset-password__info .link {
  padding: 14px 0;
  text-decoration: underline;
}

/* HTML */

.html-container {
  position: relative;
  min-height: calc(var(--vh, 1vh) * 100);
  padding: 105px 0;
  pointer-events: none;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  color: white;
  font-family: 'Albert', Sans-Serif;
  z-index: 1;
}

.html-container>* {
  pointer-events: all;
}

/* Dropdown */

.dropdown {
  position: relative;
  width: fit-content;
}

.dropdown__menu {
  position: absolute;
  top: calc(100% + 8px);
  left: 0;
  width: max-content;
  max-width: 200px;
  padding: 0;
  margin: 0;
  font-size: 1.8rem;
  font-weight: 600;
  line-height: 1.5;
  border-radius: 8px;
  box-shadow: 0px 4px 20px 0px rgba(0, 0, 0, 0.25);
  overflow: hidden;
  z-index: 1;
  visibility: hidden;
  opacity: 0;
  transform: translateY(10px);
  /* transition: var(--transition); */
}

.dropdown__menu::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(255, 255, 255, 0.18);
  backdrop-filter: blur(8px);
  -webkit-backdrop-filter: blur(8px);
  z-index: -1;
}

.dropdown__btn[aria-expanded='true']+.dropdown__menu {
  visibility: visible;
  opacity: 1;
  transform: translateY(0);
}

.dropdown__item button {
  display: flex;
  align-items: center;
  gap: 8px;
  padding: 14px 20px;
  transition: var(--transition);
}

.dropdown__item:first-of-type {
  border-radius: 8px 8px 0 0;
}

.dropdown__item:last-of-type {
  border-radius: 0 0 8px 8px;
}

.dropdown__item:focus-visible {
  outline: 2px solid white;
  outline-offset: -4px;
}

.dropdown__item:hover {
  background-color: rgba(255, 255, 255, 0.1);
}

/* Forms */

.show-user-form-buttom {
  position: fixed;
  left: 20px;
  bottom: 20px;
}

.form__group {
  position: relative;
  padding: 24px;
  margin-bottom: 24px;
  background-color: rgba(255, 255, 255, 0.08);
}

.form__group-header {
  display: flex;
  align-items: center;
  gap: 24px;
  margin-bottom: 24px;
}

.form__group-btn {
  display: flex;
  align-items: center;
  margin-left: auto;
  gap: 8px;
  padding: 15px 0;
  font-size: 1.8rem;
}

.form__submit {
  width: 100%;
}

.form__alert,
.form__message {
  font-size: 1.8rem;
}

.form__alert {
  margin-top: 24px;
}

.form__message {
  margin-bottom: 24px;
}

/* User form */

.user-form {
  display: none;
  width: 800px;
  max-width: calc(100% - 180px);
  margin: auto;
  padding: 80px 0;
  color: white;
  font-family: 'Albert', Sans-Serif;
}

.user-form__container {
  display: flex;
  align-items: flex-start;
}

.user-form__img-container {
  position: relative;
  flex: 0 0 224px;
  width: 0;
  height: 260px;
  margin-right: 40px;
  background: white;
}

.profile__img-container {
  position: relative;
  width: 224px;
  height: 260px;
  background: white;
}

.user-form__img,
.profile__img {
  position: absolute;
  top: 12px;
  left: 12px;
  width: calc(100% - 24px);
  height: calc(100% - 60px);
  object-fit: cover;
}

.user-form__content {
  flex: 1 0 auto;
  width: 0;
}

.user-form__tite {
  margin-bottom: 24px;
}

.user-form__bio {
  position: relative;
  margin-bottom: 24px;
}

.user-form__btn-container {
  display: flex;
  flex-wrap: wrap;
  margin: 24px -12px 0;
}

.user-form__btn-container button {
  margin: 0 12px;
}

.user-form__clear {
  position: absolute;
  top: 50%;
  left: calc(100% + 16px);
  transform: translateY(-50%);
}

.user-form__time-slots {
  margin-top: 40px;
}

.profile__bio {
  width: 100%;
  margin: 24px 0 0;
}

.user-form__input {
  width: 100%;
  margin-bottom: 24px;
  padding: 16px;
  border: 2px dashed rgba(255, 255, 255, 0.5);
  resize: none;
  color: white;
  font-size: 2rem;
  line-height: 1.5;
}

/* Google */
.pac-container {
  font-family: 'Albert', Sans-Serif;
}

.pac-item {
  padding: 10px 4px;
  font-size: 1.6rem;
  line-height: 1.5;
  color: var(--text);
  cursor: pointer;
}

.pac-item:hover {
  background-color: rgba(0, 0, 0, 0.1);
}

.pac-item-query {
  font-size: 1.6rem;
  padding-right: 8px;
  color: var(--text);
}

.pac-icon {
  margin: 2px 6px 0 4px;
}

/* Security form */

.show-security-form-button {
  position: fixed;
  left: 20px;
  bottom: 20px;
}

.security-form {
  display: none;
  flex-direction: column;
  width: 560px;
  max-width: calc(100% - 32px);
  margin: auto;
  padding: 80px 0;
  color: white;
  font-family: 'Albert', Sans-Serif;
}

.security-form__title {
  margin-bottom: 40px;
}

.security-form__delete-btn {
  display: inline-flex;
  align-items: center;
  gap: 8px;
  padding: 15px 0;
  text-decoration: none;
}

/* Remove account */
.remove-account {
  width: 560px;
  max-width: calc(100% - 32px);
}

/* Toast */
.toast-container {
  position: fixed;
  top: 40px;
  left: 50%;
  transform: translateX(-50%);
  z-index: 200;
}

.toast {
  display: flex;
  align-items: center;
  gap: 8px;
  max-width: 480px;
  padding: 16px;
  border-radius: 8px;
  background: rgba(255, 255, 255, 0.8);
  box-shadow: 0px 2px 0px 0px var(--text);
  font-size: 1.8rem;
  line-height: 1.5;
  color: var(--text);
  font-family: 'Albert', Sans-Serif;
}

.toast--success {
  box-shadow: 0px 2px 0px 0px var(--success200);
}

.toast--error {
  box-shadow: 0px 2px 0px 0px var(--secondary);
}

.toast:not(:first-of-type) {
  margin-top: 16px;
}

.toast__close {
  opacity: 0.5;
}

.toast__icon,
.toast__close {
  flex-shrink: 0;
}

.new-password,
.account-creation {
  width: 100%;
  max-width: 560px;
  padding: 40px;
}

.new-password__form,
.account-creation__form {
  display: flex;
  flex-direction: column;
  margin-top: 40px;
}

.new-password__desc {
  margin: 16px 0 0;
}

.account-creation__login {
  margin-top: 40px;
}

/* Brainsnack */
.brainsnack .modal__container {
  max-width: 740px;
}

.brainsnack .video-player {
  width: 100%;
  padding-top: 56.25%;
}

.brainsnack .video-player .vjs-big-play-button {
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

/* Markdown */
.markdown img {
  display: block;
  max-width: 100%;
}

.markdown p,
.markdown img {
  margin: 24px 0;
}

/* VideoJS */
.video-player img {
  max-width: 100%;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.mobile-warning {
  position: absolute;
  top: 25vh;
  font-size: 20px;
  font-family: sans-serif;
  color: white;
  text-align: center;
  width: 100%;
  padding: 7%;
}

/* Overlay */

#element-overlay {
  display: none;
  grid-template-columns: auto auto;
  grid-template-rows: auto auto;
  justify-content: space-between;
  align-content: space-between;
  gap: 24px;
  position: fixed;
  top: 8px;
  bottom: 8px;
  left: 8px;
  right: 8px;
  font-family: 'Albert';
  pointer-events: none;
  user-select: none;
  transition: var(--transition-btn);
}

.element-overlay__container:not(:empty) {
  display: flex;
  width: max-content;
  gap: 4px;
  padding: 2px 6px;
  background-color: rgba(0, 0, 0, 0.15);

  border-radius: 4px;
  pointer-events: all;
  user-select: text;
  backdrop-filter: blur(20px);
  box-shadow: 0 0 10px 0px #00000017;
  cursor: auto;
}

.element-overlay__container__new:not(:empty) {
  display: flex;
  width: max-content;
  gap: 4px;
  padding: 2px 6px;
  background-color: rgba(255, 255, 255, 0.05);

  font-family: 'Roboto';

  border-radius: 24px;
  pointer-events: all;
  user-select: text;
  backdrop-filter: blur(20px);
  /* box-shadow: 0 0 10px 0px #00000017; */
  cursor: auto;
}

.element-overlay__container__new.bottomRight:not(:empty) {
  background-color: transparent;
  backdrop-filter: none;
}

.show-bottom_overlay {
  translate: 0px 0px !important;
}

.element-overlay__container__new.bottom {
  align-items: center;
  gap: 24px;
  grid-row: 2 / 3;
  grid-column: 1 / 3;
  width: 100%;
  padding: 24px;
  font-size: 1rem;
  border-radius: 20px;

  height: auto;

  margin: auto;
  max-width: 800px;
  translate: 0px 140px;
  background-color: rgba(0, 0, 0, 0.25);

  transition: translate 500ms ease-out;
}

.element-overlay__container.bottom {
  align-items: center;
  gap: 24px;
  grid-row: 2 / 3;
  grid-column: 1 / 3;
  width: 100%;
  padding: 24px;
  font-size: 1rem;
  margin: auto;
  max-width: 800px;
  translate: 0px 140px;

  transition: translate 500ms ease-out;

}



.element-overlay__btn {
  padding: 2px 8px;
  font-size: 1.8rem;
  line-height: 1;
  transition: var(--transition-btn);
  border-radius: 24px;
}

.element-overlay__btn-red {
  padding: 2px;
  font-size: 1.8rem;
  line-height: 1;
  transition: var(--transition-btn);
  border-radius: 20px;
  min-width: 50px;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: red;
  margin: 3px;
}

.element-overlay__btn-red:not(:disabled):hover {
  background-color: rgba(145, 20, 20);
}


.element-overlay__btn-user {
  padding: 2px;
  font-size: 1.8rem;
  line-height: 1;
  transition: var(--transition-btn);
  border-radius: 24px;
  width: 43px;
  height: 43px;
  position: relative;
}

.element-overlay__btn-user::before {
  content: attr(data-tooltip);
  position: absolute;
  top: 100%;
  left: 50%;
  transform: translateX(-50%);
  margin-bottom: 2px;
  background-color: rgb(35, 60, 75);
  color: white;
  padding: 9px 12px;
  border-radius: 20px;
  font-size: 1.4rem;
  white-space: nowrap;
  opacity: 0;
  pointer-events: none;
  transition: opacity 300ms ease-out;
}

.element-overlay__btn-user:hover::before {
  opacity: 1;
}

.element-overlay__btn-help {
  padding: 11px;
  font-size: 1.8rem;
  line-height: 1;
  transition: var(--transition-btn);
  border-radius: 30px;
  width: 46px;
  height: 46px;
  position: relative;
  background-color: rgb(255, 255, 255);
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.18);
}

.element-overlay__btn-help:hover {
  background-color: rgb(31, 206, 249)
}

.element-overlay__btn-help::before {
  content: attr(data-tooltip);
  position: absolute;
  bottom: 100%;
  left: 50%;
  transform: translateX(-75%);
  margin-bottom: 2px;
  background-color: rgb(35, 60, 75);
  color: white;
  padding: 9px 12px;
  border-radius: 20px;
  font-size: 1.4rem;
  white-space: nowrap;
  opacity: 0;
  pointer-events: none;
  transition: opacity 300ms ease-out;
}

.element-overlay__btn-help:hover::before {
  opacity: 1;
}




.element-overlay__btn-otheruser {
  padding: 2px;
  font-size: 1.8rem;
  line-height: 1;
  transition: var(--transition-btn);
  border-radius: 20px;
  width: 43px;
  height: 43px;
  position: relative;
}

.element-overlay__btn-otheruser+.element-overlay__btn-otheruser {
  margin-left: -20px;
}

.element-overlay__btn-otheruser--more {
  align-self: center;
  width: auto;
  height: 34px;
  padding-right: 10px;
  padding-left: 10px;
  background-color: rgba(0, 0, 0, 0.15);
}

.element-overlay__btn-txt {
  padding: 6px;
  font-size: 1.8rem;
  line-height: 1;
  transition: var(--transition-btn);
  border-radius: 4px;
}

.element-overlay__btn-big {
  display: flex;
  align-items: center;
  gap: 8px;
  flex-shrink: 0;
  padding: 17px 13px;
  font-size: 2.4rem;
  line-height: 1.15;
  transition: var(--transition-btn);
  border: 1px solid white;
}

.element-overlay__btn-big:disabled {
  cursor: default;
}

.element-overlay__btn-big--round {
  border-radius: 80px;
  padding: 17px;
}

.element-overlay__btn-big:not(:disabled):hover {
  background-color: rgba(255, 255, 255, 0.1);
}

.element-overlay__text-container {
  flex-grow: 1;
  color: white;
  font-size: 1.8rem;
  line-height: 1.5;
}

.element-overlay__text-container p {
  width: 70%;
  margin: 0 auto;
}

.element-overlay__info {
  padding: 6px;
  font-size: 1.8rem;
  line-height: 1;
  transition: var(--transition-btn);
  border-radius: 4px;
  cursor: default;
}

.element-overlay__logo {
  padding: 6px;
  font-size: 1.8rem;
  line-height: 1;
  transition: var(--transition-btn);
  border-radius: 4px;
  cursor: default;
}

/* Media query for smaller screens */
@media (max-width: 768px) {
  .element-overlay__info {
    font-size: 1.2em;
    /* Smaller font size */
  }
}

.element-overlay__room-msg {
  /* font-family:  'Courier New', Courier, 'Lucida Console', monospace; */
  padding: 6px;
  font-size: 1rem;
  line-height: 1;
  transition: var(--transition-btn);
  border-radius: 4px;
  cursor: default;
  width: 20ch;
  color: yellow;
  line-height: 1.5rem;
}

.monospace {
  font-family: monospace;
}

.element-overlay__btn-txt:hover {
  background-color: rgba(255, 255, 255, 0.24);
}

.element-overlay__btn:hover {
  background-color: rgba(255, 255, 255, 0.24);
}

.element-overlay__btn-user:hover {
  background-color: rgba(255, 255, 255, 0.24);
}

.element-overlay__btn-otheruser:hover {
  background-color: rgba(255, 255, 255, 0.24);
}

.element-overlay__btn svg {
  height: 2.6rem;
  width: auto;
  padding: 2px;
}

.element-overlay__btn img {
  height: 2.6rem;
  width: auto;
}

.element-overlay__info svg {
  height: 2.6rem;
  width: auto;
}

.element-overlay__logo svg {
  height: 1.6rem;
  width: auto;
}

.element-overlay__info img {
  height: 2.6rem;
  width: auto;
}

.element-overlay__btn-user svg {
  height: 2.6rem;
  width: auto;
}

.element-overlay__btn-user img {
  height: 34px;
  width: 34px;
  border-radius: 34px;
  margin-top: 2px;
}

.element-overlay__btn-otheruser svg {
  height: 2.6rem;
  width: auto;
}

.element-overlay__btn-otheruser img {
  height: 34px;
  width: 34px;
  border-radius: 34px;
  margin-top: 2px;
  background: linear-gradient(45deg, #6b999c, #e9e4e480);
  box-shadow: -4px 0px 4px 0px #00000042;
}

.topRight {
  margin-left: auto;
}

.bottomRight {
  grid-row: 2 / 3;
  grid-column: 3 / 3;
  justify-self: end;
  padding-bottom: 13px !important;
}

.topLeft,
.bottomLeft {
  margin-right: auto;
}

.overlay-modal {
  display: none;
  z-index: 100;
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  font-family: 'Roboto', Sans-Serif;
  font-size: 1.6rem;
  line-height: calc(1ex / 0.32);
}

.overlay-modal * {
  user-select: text;
}

.overlay-modal__wrapper {
  bottom: 0;
  left: 0;
  overflow-y: auto;
  position: fixed;
  right: 0;
  top: 0;
  z-index: 100;
}

.overlay-modal__overflow {
  position: relative;
  align-items: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
  min-height: 100%;
  padding: 40px 0;
  width: 100%;
}

.overlay-modal__overflow::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(20px);
  -webkit-backdrop-filter: blur(20px);
  z-index: -1;
}

.overlay-modal__container {
  position: relative;
  width: calc(100% - 32px);
  cursor: auto;
  pointer-events: none;
}

.overlay-modal__container * {
  pointer-events: all;
}

.popup {
  display: none;
  position: absolute;
  top: calc(100% + 4px);
  right: 0;
  padding: 24px;
  width: 400px;
  max-width: calc(100vw - 48px);
  border-radius: 2px;
  overflow: hidden;
  box-shadow: 2px 4px 4px rgba(0, 0, 0, 0.1);
  z-index: 1;
}

.popup.show {
  display: block;
}

.blur::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(255, 255, 255, 0.1);
  backdrop-filter: blur(20px);
  z-index: -1;
}

#cameraSelect {
  background-image: url('../images/icon_cam.svg');
}

#cameraSelect.error {
  background-image: url('../images/icon_cam_hide.svg');
}

#micSelect {
  background-image: url('../images/icon_mic.svg');
}

#micSelect.error {
  background-image: url('../images/icon_mute.svg');
}

#speakerSelect {
  background-image: url('../images/icon_speakers.svg');
}

#microphoneIcon {
  background-image: url('../images/icon_mic.svg');
  background-repeat: no-repeat;
  background-size: 15px;
  position: relative;
  width: 24px;
  height: 24px;
  top: -4px;
  left: -18px;
  float: left;
}

.ml-auto {
  margin-left: auto;
}

video::-moz-svg-poster-image {
  display: none !important;
}

.modal-popup {
  border-radius: 20px;
  max-width: 800px;
  margin: 0 auto;
  padding: 60px;
  background: rgba(0, 0, 0, 0.33);
  box-shadow: 0px 4px 80px 0px rgba(0, 0, 0, 0.25);
  backdrop-filter: blur(30px);
  -webkit-backdrop-filter: blur(30px);
  color: white;
}

.modal-popup__btn-container {
  display: flex;
  flex-wrap: wrap;
  gap: 8px;
  margin-top: 32px;
}

.modal-popup__title {
  margin-bottom: 24px;
}

.modal-popup__desc {
  margin: 24px 0;
}

video::cue {
  background-color: rgba(0, 0, 0, 0.6);
  color: white;
  font-size: 1.5rem;
  font-family: sans-serif;
  line-height: 1.36;
  white-space: pre-line;
}

.subtitle-overlay {
  font-family: 'Ronoto', 'Albert';
  width: 86%;
  position: absolute;
  font-size: 2.1em;
  font-weight: 300;
  color: white;
  text-shadow: 0 0 5px black;
  bottom: 4%;
  transition-property: bottom;
  transition-duration: 0.5s;
  text-align: center;
  margin-left: 7%;
  margin-right: 7%;
}

.subtitle-controls {
  bottom: 15%;
}


.subtitle-overlay span {
  background-color: rgba(0, 0, 0, 0.6);
}

.intercom-namespace {
  bottom: 14px;
}